#!/usr/bin/env python
import os
import inspect
from public import public


@public
def issharedobject(obj):
    """return True if module is shared object (*.so)"""
    if not obj:
        return False
    module = inspect.getmodule(obj)
    if not module:
        return
    path = getattr(module, "__file__", None)
    if path:
        return os.path.splitext(path)[1] == ".so"
    return False
